Ask Your Question
0

Problem compiling (making) motion_planning_common/planning_environment package

asked 2011-08-25 12:43:53 -0500

this post is marked as community wiki

This post is a wiki. Anyone with karma >75 is welcome to improve it.

Hi All, I was trying to install motion_planning_common and while it is making planning_environment it shows me some errors. I have the errors pasted in the pastebin and this is the address of the same.

http://pastebin.com/cWzHLLJ0

kindly could someone tell me what is going wrong and whether it is the problem of version changes as i am using electric and the package was written for some other version of ros. If this is not the case, is it dependent on any of my computer configurations ??

~Cheers! navderm

edit retag flag offensive close merge delete

2 Answers

Sort by ยป oldest newest most voted
4

answered 2011-08-25 13:06:18 -0500

this post is marked as community wiki

This post is a wiki. Anyone with karma >75 is welcome to improve it.

The motion_planning_common stack no longer exists in electric - most of it went into the arm_navigation stack. motion_planning_common from diamondback will probably not work overlayed on electric, as the architecture has changed substantially. You can look at the main arm_navigation page for an overview of the changes: http://www.ros.org/wiki/arm_navigation . If for some reason you need the old stacks/packages I suggest you remain on diamondback.

edit flag offensive delete link more

Comments

1
Hi, I want to be able to use octomap_mapping stack. For that I was using the motion_planning_common. In case I can use octomap_mapping without it, its fine for me. I want to be able to use the mapping_msgs package in motion_planning_common. the arm_navigation stack uses the package arm_navigation_m
navderm gravatar imagenavderm ( 2011-08-25 13:55:27 -0500 )edit
1

answered 2011-08-25 13:55:04 -0500

this post is marked as community wiki

This post is a wiki. Anyone with karma >75 is welcome to improve it.

Hi, I want to be able to use octomap_mapping stack. For that I was using the motion_planning_common. In case I can use octomap_mapping without it, its fine for me. I want to be able to use the mapping_msgs package in motion_planning_common.

the arm_navigation stack uses the package arm_navigation_msgs and the msgs in mapping_msgs are all contained there except one .. PolygonalMap.msg

So all in all the main goal is installing octomap_mapping but it searches for mapping_msgs. Is there a way around it ??

Thanks a lot.

~Cheers! navderm

edit flag offensive delete link more

Comments

Is there a reason you wouldn't use the octomap_mapping stack from electric? The deb for that stack are available in ros-electric-octomap-mapping, and the new version has substantial improvements over the older version.
egiljones gravatar imageegiljones ( 2011-08-25 15:26:40 -0500 )edit
1
You need to use the electric/unstable branch instead of trunk if you're not building in diamondback, or use the releases. This page lists the releases and their SVN sources: http://www.ros.org/wiki/octomap_mapping/Releases
AHornung gravatar imageAHornung ( 2011-08-25 18:42:57 -0500 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

Stats

Asked: 2011-08-25 12:43:53 -0500

Seen: 280 times

Last updated: Aug 25 '11